#!/bin/bash
set -ex

# Используем переменные окружения для логина в Docker
export DOCKER_USER=
export DOCKER_PASSWORD=
# Логинимся в Docker
echo $DOCKER_PASSWORD | docker login -u $DOCKER_USER --password-stdin nexus.saymon.info

# Загружаем docker-compose.yaml
wget https://downloads.cpult.ru/docker-compose.yaml

# Создаем директории и устанавливаем права
mkdir -p /data/saymon/{kafka,mongodb,redis,victoria,mqtt,agent,saymon-extensions}
chmod -R 777 /data

# Получаем локальный IP-адрес
export local_ip=$(hostname -I | awk '{print $1}')

# Заменяем 127.0.0.1 на локальный IP-адрес
sed -i "s|127.0.0.1|$local_ip|g" docker-compose.yaml

# Запускаем docker-compose
docker-compose up -d

#устанавливаем Агент

wget https://downloads.cpult.ru/agent/v5.1.1/saymon-agent-5.1.1-linux-x64-installer.sh

chmod +x saymon-agent-5.1.1-linux-x64-installer.sh

./saymon-agent-5.1.1-linux-x64-installer.sh --auto

systemctl stop saymon-agent
rm -rf /opt/saymon-agent/storage
sed -i "s|127.0.0.1|$local_ip|g" /opt/saymon-agent/conf/agent.properties
systemctl start saymon-agent
